ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::xml::OMETransformResolver::Schema Struct Reference

Metadata for a schema version. More...

`#include <ome/xml/OMETransformResolver.h>`

Collaboration diagram for ome::xml::OMETransformResolver::Schema:
[legend]

## Public Member Functions
| Schema ()
| Default constructor.
| Schema (const std::string &name)
| Construct with name. More...
bool | operator< (const Schema &rhs) const
| Compare with other Schema. More...

## Public Attributes
std::string | name
| Name of the schema.

## Detailed Description

Metadata for a schema version.

Internally, this is attached to each graph vertex.

## Constructor & Destructor Documentation

ome::xml::OMETransformResolver::Schema::Schema | ( | const std::string & | name | ) |
| inline

Construct with name.

Parameters

  name | the name of the schema.

## Member Function Documentation

bool ome::xml::OMETransformResolver::Schema::operator< | ( | const Schema & | rhs | ) | const
| inline

Compare with other Schema.

Parameters

  rhs | the Schema to compare with.

Returns
  `true` if this schema name is lexicographically less, `false` otherwise.

References name.

The documentation for this struct was generated from the following file:

- ome/xml/OMETransformResolver.h